local ESOMRL = _G['ESOMRL']
local L = {}

------------------------------------------------------------------------------------------------------------------
-- Japanese (Thanks to ESOUI.com user k0ta0uchi for the excellent translations!)
------------------------------------------------------------------------------------------------------------------

-- General strings
	L.ESOMRL_SEARCHBOX = 'レシピ名を検索'
	L.ESOMRL_WRITQUEST = '支給された依頼'
	L.ESOMRL_WRITFINISH = '依頼品を配達'
	L.ESOMRL_CRAFT = 'クラフト'
	L.ESOMRL_CLEAR = 'アクティブな検索リストをクリア。'
	L.ESOMRL_ICLEAR = '材料検索リストをクリア。'
	L.ESOMRL_TRACKING = 'トラック'
	L.ESOMRL_RECIPES = 'レシピ。'
	L.ESOMRL_INGREDIENTS = '材料。'
	L.ESOMRL_CLOSE = 'レシピリストを閉じる'
	L.ESOMRL_SHOWING = '材料リストを表示'
	L.ESOMRL_SHOWRECIPE = 'レシピリストを閉じる'
	L.ESOMRL_LTTSHOW = 'ツールチップのポップアップを有効化'
	L.ESOMRL_LTTHIDE = 'ツールチップのポップアップを無効化'
	L.ESOMRL_TTRECIPE = 'ツールチップにレシピを表示'
	L.ESOMRL_TTFOOD = 'ツールチップに食料を表示'
	L.ESOMRL_FINDWRIT = '依頼品に必要なアイテムを探す '
	L.ESOMRL_TRACKRING = 'トラックされたレシピの材料を全てマークします。'
	L.ESOMRL_TRACKALLING = '全ての材料をマークします。'
	L.ESOMRL_JUNKUING = 'クリックすることで、取得したマークされていない材料を自動的にガラクタにします。'
	L.ESOMRL_DJUNKUING = 'クリックすることで、取得したマークされていない材料を自動的にガラクタにするのを停止します。'
	L.ESOMRL_DESTROYUING = 'クリックすることで、取得したマークされていない材料を自動的に破壊します。（永続的に）'
	L.ESOMRL_DDESTROYUING = 'クリックすることで、取得したマークされていない材料を自動的に破壊するのと停止します。'
	L.ESOMRL_LEVEL = 'レベル'
	L.ESOMRL_VETERAN = 'ベテラン'
	L.ESOMRL_ANY = '全てのレベル'
	L.ESOMRL_H = '(ヘルス)'
	L.ESOMRL_M = '(マジカ)'
	L.ESOMRL_S = '(スタミナ)'
	L.ESOMRL_HM = '(ヘルス/マジカ)'
	L.ESOMRL_HS = '(ヘルス/スタミナ)'
	L.ESOMRL_MS = '(マジカ/スタミナ)'
	L.ESOMRL_HMS = '(ヘルス/マジカ/スタミナ)'
	L.ESOMRL_RTRACK = 'トラックされているレシピのリスト'
	L.ESOMRL_ITRACK = 'トラックされている材料のリスト'
	L.ESOMRL_NWRITU = '未知&現在の依頼に必要'
	L.ESOMRL_NWRITK = '既知&現在の依頼に必要'
	L.ESOMRL_NWRIT = '現在の依頼に必要'
	L.ESOMRL_MAKE = '作成'
	L.ESOMRL_KNOWN = '既知なキャラクター'
	L.ESOMRL_CRAFTABLE = '作成可能なキャラクター'
	L.ESOMRL_TRACKUNKNOWN = '選択されたキャラクターが知らない全てのレシピをマークします。'
	L.ESOMRL_TRACKALL = '全てのレシピをマークします。'
	L.ESOMRL_JUNKURECIPE = 'クリックすることで、取得したマークされていないレシピを自動的にガラクタにします。（アドオン設定で品質リミットを設定できます。）'
	L.ESOMRL_DJUNKURECIPE = 'クリックすることで、取得したマークされてないレシピを自動的にガラクタにするのを停止します。'
	L.ESOMRL_DESTROYURECIPE = 'クリックすることで、取得したマークされていないレシピを自動的に（永久に）破壊します。（アドオン設定で品質リミットを設定してください。）'
	L.ESOMRL_DDESTROYURECIPE = 'クリックすることで、取得したマークされていないレシピを自動的に破壊するのを停止します。'
	L.ESOMRL_SRCONFIGPANEL = 'レシピトラッキングコンフィグパネルを表示します。'
	L.ESOMRL_HRCONFIGPANEL = 'レシピトラッキングコンフィグパネルを非表示します。'
	L.ESOMRL_REMOVECHAR = '選択したキャラクターをトラッキングデータベースから削除します。（それらのキャラクターでログインすることで、誤って削除してしまったキャラクターを再度追加することができます。）'
	L.ESOMRL_QUALITY1 = '緑'
	L.ESOMRL_QUALITY2 = '青'
	L.ESOMRL_QUALITY3 = '紫'
	L.ESOMRL_SAVEINGTP = '現在トラックされている材料リストをグローバルプロファイルに保存します。'
	L.ESOMRL_LOADINGTP = 'グローバル材料トラッキングプロファイルを読み込みます。'
	L.ESOMRL_FINDRECIPES = '選択した材料を含むレシピを検索します。'
	L.ESOMRL_INGFOOD = '材料'
	L.ESOMRL_SEARCHS = '検索 MRL'
	L.ESOMRL_STRACKY = 'トラックされたアイテムをハイライト'
	L.ESOMRL_STRACKN = 'トラックされたアイテムをハイライトしない'

-- Settings panel
	L.ESOMRL_SHOWKNOWN = 'ツールチップに\'既知なキャラクター\'を表示'
	L.ESOMRL_SHOWKNOWND = '有効化されている場合、\'既知なキャラクター\'と\'作成可能なキャラクター\' セクションが現在トラックされているキャラクターに知られている全てのレシピと食べ物アイテムツールチップに表示します。'
	L.ESOMRL_SHOWINGFOOD = '食べ物アイテムに材料を表示'
	L.ESOMRL_SHOWINGFOODD = '有効化されている場合、クラフト可能なアイテムにレシピと同じように材料リストが表示されます。'
	L.ESOMRL_ICONPOSI = 'インベントリアイコン位置'
	L.ESOMRL_ICONPOSID = 'インベントリトラッキングアイコンの水平位置を調整します。(サードパーティアドオンサポートセクションで\'FCO ItemSaverをトラックされたアイテムに使用\'有効化されている場合、無効化されます。)'
	L.ESOMRL_ICONPOSB = 'ギルドストア検索アイコン位置'
	L.ESOMRL_ICONPOSBD = 'ギルドストア検索結果トラッキングアイコンの水平位置を調整します。'
	L.ESOMRL_ICONPOSL = 'ギルドストア販売リストアイコン位置'
	L.ESOMRL_ICONPOSLD = 'ギルドストア販売リストトラッキングアイコンの水平位置を調整します。'
	L.ESOMRL_ETRACKING = 'トラッキングを有効化'
	L.ESOMRL_TRACKDESC = 'キャラクター進行は\'既知なキャラクター\'のレシピツールチップセクションに表示するためトラックされます。'
	L.ESOMRL_TRACKWARN = '有効化するには/reloaduiかリログする必要があります。'
	L.ESOMRL_INVENTORYI = 'インベントリアイコンを有効化'
	L.ESOMRL_INVENTORYD = 'トラックされたレシピと材料のアイコンをインベントリに表示します。'
	L.ESOMRL_IDESTROY = 'ガラクタ材料を破壊'
	L.ESOMRL_IDESTDESC = '有効化され、ガラクタ/破壊としてマークされていない材料ピンがONの場合、マークされていない材料はジャンクとしてマークされず、破壊されます。'
	L.ESOMRL_IDESTROYWARN = '全ての新しく取得したトラックしていない材料は、永久的に破壊されます！'
	L.ESOMRL_DEBUGMODE = 'デバッグモードを有効'
	L.ESOMRL_DEBUGDESC = 'レシピ化材料が破壊されるかガラクタとしてマークされた場合にチャットに情報を表示します。'
	L.ESOMRL_STACKSIZE = '破壊可能最大量'
	L.ESOMRL_STACKDESC = '所持している材料のスタックカウントトータルがこの数字より大きい場合、他の設定にかかわらずガラクタに設定されることも削除されることもありません。'
	L.ESOMRL_RDESTROY = 'ガラクタレシピを破壊'
	L.ESOMRL_RDESTDESC = '有効化され、ガラクタ/破壊としてマークされていないレシピピンがONの場合、マークされていないレシピはジャンクとしてマークされず、破壊されます。'
	L.ESOMRL_RDESTROYWARN = '全てのトラックしていない、品質リミットより低いレシピは、永久的に破壊されます！'
	L.ESOMRL_DQUALITY = '品質カラー保護'
	L.ESOMRL_DQUALITYDESC = 'この色の品質レベル以上のレシピは、他の設定にかかわらずガラクタにされることも削除されることもありません。'
	L.ESOMRL_GLOBALOPT = 'グローバルオプション'
	L.ESOMRL_CHAROPT = 'キャラクターオプション'
	L.ESOMRL_ADDONS = 'サードパーティアドオンサポート'
	L.ESOMRL_ADDONSD = 'サポートされたサードパーティアドオンのオプションです。'
L.ESOMRL_FCOITEM = 'FCO ItemSaverをトラックされたアイテムに使用'
L.ESOMRL_FCOITEMD = 'チェックされている場合、インベントリか他のバッグ内のトラックされたレシピと材料は、MRLチェックマークではなくFCO ItemSaverの\'ロック\'アイコンでマークされ、FCO ItemSaverでロックとして設定されます。ギルドストアではデフォルトMRLのマークが表示されます。'
	L.ESOMRL_ISTOLEN = '盗品を無視'
	L.ESOMRL_ISTOLEND = '有効化され、上記の自動的にマークされていないレシピと材料をガラクタとして設定されるか削除する機能を使用している場合、盗品アイテムは無視されます。'
	L.ESOMRL_ISTOLENM = 'は盗品アイテムフィルタによって無視されました。'
	L.ESOMRL_IDESTROYM = 'は、永久的に破壊されました。'
	L.ESOMRL_IJUNKM = 'はガラクタとして設定されました。'
L.ESOMRL_TCHART = 'キャラクタートラッキングを有効'
L.ESOMRL_TCHARTD = '下記のオプションを有効化することで選択したキャラクターのレシピステータスを表示します。'
	L.ESOMRL_TCHAR = 'トラックするキャラクターを選択'
	L.ESOMRL_TCHARD = '選択したキャラクターの未知のレシピは、インベントリ内でグリーンチェックで表示されます。'
	L.ESOMRL_ALTIU = '既知のレシピアイコンを表示'
	L.ESOMRL_ALTIUD = 'このオプションを有効化することで、上記で選択したキャラクターの既知のレシピをグレーチェックで表示します。'
	L.ESOMRL_SSTATS = '調理台ステータスアイコン'
	L.ESOMRL_SSTATSD = '調理台でどのカテゴリの食べ物か飲み物アイテムのバフを表すか、色付けされたアイコンを表示します。'
	L.ESOMRL_SSTATICONS = 'ステータスアイコンスタイル'
	L.ESOMRL_SSTATICONSD = '調理台ステータスアイコンが有効化時の表示するアイコンスタイルを設定します。'
	L.ESOMRL_ICONTT1 = 'スター'
	L.ESOMRL_ICONTT2 = 'サークル'
	L.ESOMRL_ALTIS = '現在のキャラクターの既知のレシピを表示'
	L.ESOMRL_ALTISD = 'ONに設定時、上記で選択したキャラクターの既知のレシピではなく、現在のキャラクターの既知のレシピにグレーアイコンを表示します。このオプションを有効化するには、\'既知のレシピアイコンを表示\'が有効化されている必要があります。'

-- Info tooltip
	L.ESOMRL_IKNOWN = ' = 既知のレシピです。'
	L.ESOMRL_IKNOWNT = ' = 既知のレシピで、トラックしています。'
	L.ESOMRL_IUNKNOWN = ' = 未知のレシピです。'
	L.ESOMRL_IUNKNOWNT = ' = 未知のレシピで、トラックしています。'
	L.ESOMRL_IWRIT = ' = 未知のレシピで、現在の依頼に必要です。'
	L.ESOMRL_IWTRACK = ' = 未知のレシピで、現在の依頼に必要で、トラックしています。'
	L.ESOMRL_SHIFTCLICK = 'アイテムをシフトクリックでチャットにリンクします。'
	L.ESOMRL_INGGOLD = 'トラックされた材料は金色で表示されます。'

-- Food categories
	L.ESOMRL_FOOD = '食べ物'
	L.ESOMRL_TFOOD = '食べ物レシピ'

-- Drink categories
	L.ESOMRL_DRINK = '飲み物'
	L.ESOMRL_TDRINK = '飲み物レシピ'

------------------------------------------------------------------------------------------------------------------

if (GetCVar('language.2') == 'ja') or (GetCVar('language.2') == 'jp') then -- overwrite GetLanguage for new language
	for k,v in pairs(ESOMRL:GetLanguage()) do
		if (not L[k]) then -- no translation for this string, use default
			L[k] = v
		end
	end

	function ESOMRL:GetLanguage() -- set new language return
		return L
	end
end
